MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002405ATutorGroupspublic2006-05-17 10:272006-06-12 07:13
Reporterheidi 
Assigned Toheidi 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.3 
Summary0002405: group-assistant confusion
DescriptionRight now all assistants ("enrolled with privileges") are members of all groups. i.e. as soon as a student is given a privilege (say Announcements), they are no longer a normal student, but inexplicitly become an assistant, and are able to view and manage all material for all groups.

I think this could be extremely confusing to instructors who think that by clicking 'announcements' they're student remains a regular student except for that privilege, where in fact, the student is now has more than that.

Ways of dealing with this:
-create a new privilege (as a module) for supervising groups, assigning assistants to oversee specific groups

-rename the "Privileges" button in the enrollment area to "Make Assistant" and rename the "Enrolled with Privileges" tab to "Assistants" -- clearly defining the difference. i.e. normal students w/ privileges no longer exist
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0001798)
user2
2006-05-17 10:29

my vote is to add a new "group management/participation" privilege.
(0001936)
heidi (developer)
2006-06-05 10:57

the groups priv now encompasses managing and participating, and the other privs do not

- Issue History
Date Modified Username Field Change
2006-05-17 10:27 heidi New Issue
2006-05-17 10:27 heidi Affects version => SVN
2006-05-17 10:29 user2 Note Added: 0001798
2006-06-05 05:19 heidi Status new => assigned
2006-06-05 05:19 heidi Assigned To => heidi
2006-06-05 10:57 heidi Status assigned => resolved
2006-06-05 10:57 heidi Fixed in Version => 1.5.3
2006-06-05 10:57 heidi Resolution open => fixed
2006-06-05 10:57 heidi Note Added: 0001936
2006-06-12 07:13 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker